nRF51 SDK: Data Fields

| nRF51 SDK

- Home
- Related Pages
- API Reference
- Data Structures

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - i -

- id : ble_gap_sec_kdist_t
- id_addr_info : ble_gap_id_key_t
- id_info : ble_gap_evt_auth_status_t::central_keys_t , ble_gap_id_key_t , ble_gap_evt_sec_info_request_t
- include_appearance : ble_advdata_t
- included_services_count : ble_hids_init_t
- included_srvc : ble_gattc_include_t
- includes : ble_gattc_evt_rel_disc_rsp_t
- incr : ble_sensorsim_cfg_t
- index : friendly_name_t
- indicate : ble_gatt_char_props_t
- init_len : ble_gatts_attr_t
- init_offs : ble_gatts_attr_t
- initial_alert_level : ble_lls_init_t
- initial_batt_level : ble_bas_init_t
- initial_tx_power_level : ble_tps_init_t
- inp_rep_array : ble_hids_s
- inp_rep_count : ble_hids_init_t , ble_hids_s
- inst_cadence : ble_rscs_meas_s
- inst_speed : ble_rscs_meas_s
- inst_stride_length : ble_rscs_meas_s
- instantaneous_cadence : bp_page16_data_t , bp_page17_data_t , bp_page18_data_t
- instantaneous_power : bp_page16_data_t
- interval : ble_gap_adv_params_t , ble_gap_scan_params_t
- io_caps : ble_gap_sec_params_t
- irk : ble_gap_id_info_t , ble_gap_sec_keys_t , ble_gap_evt_auth_status_t::central_keys_t , ble_gap_irk_t
- irk_count : ble_gap_whitelist_t
- irk_match : ble_gap_evt_connected_t
- irk_match_idx : ble_gap_evt_connected_t
- is_context_supported : ble_gls_init_t
- is_crank_rev_data_present : ble_cscs_meas_s
- is_data_available : antfs_beacon_status_byte1_t
- is_expended_energy_supported : ble_hrs_s
- is_increasing : ble_sensorsim_state_t
- is_inst_stride_len_present : ble_rscs_meas_s
- is_kb : ble_hids_init_t
- is_mouse : ble_hids_init_t
- is_name_set : friendly_name_t
- is_notification_supported : ble_bas_s
- is_pairing_enabled : antfs_beacon_status_byte1_t
- is_running : ble_rscs_meas_s
- is_sensor_contact_detected : ble_hrs_s
- is_sensor_contact_supported : ble_hrs_init_t , ble_hrs_s
- is_total_distance_present : ble_rscs_meas_s
- is_upload_enabled : antfs_beacon_status_byte1_t
- is_wheel_rev_data_present : ble_cscs_meas_s